'''
Dictionary with simple descriptions to support score interpretation
For each score, we have a list where the first item is the score range
and the second item is the interpretation of what higher scores indicate.
'''

score_descriptions = {
    'autonomy': ['6 to 20', 'higher levels of autonomy'],
    'life_satisfaction': ['0 to 10', 'higher levels of life satisfaction'],
    'optimism': ['4 to 20', 'higher levels of optimism'],
    'wellbeing': ['7 to 35', 'higher levels of psychological wellbeing'],
    'esteem': ['5 to 20', 'higher levels of self-esteem'],
    'stress': ['0 to 16', '''
that pupils are feeling lower levels of stress, and better able to cope with
stress'''],
    'appearance': ['0 to 10', 'pupils feel happier about their appearance'],
    'negative': ['0 to 20', 'less negative affect'],
    'lonely': ['1 to 5', 'lower levels of loneliness'],
    'support': ['2 to 8', '''
pupils feel more able to support themselves when feeling down'''],
    'sleep': ['0 to 1', 'pupils feel they get enough sleep'],
    'physical': ['0 to 840', 'higher levels of physical activity'],
    'free_like': ['1 to 5', '''
pupils feel that they are more often able to do things that they like in their
free time'''],
    'media': ['0 to 8', 'less time spent on social media'],
    'places': ['1 to 4', '''
pupils feel there are activities/places in their local area that they would
choose to or want to go to'''],
    'talk': ['3 to 12', '''
pupils feel more positively about talking with others when feeling down'''],
    'accept': ['4 to 16', 'higher levels of perceived acceptance by others'],
    'school_belong': ['1 to 5', 'higher levels of school connection'],
    'staff_relationship': ['4 to 20', '''
higher levels of perceived support from staff'''],
    'home_relationship': [' 4 to 20', '''
higher levels of perceived support at home'''],
    'home_happy': ['0 to 10', '''
higher levels of happiness with the home environment'''],
    'local_env': ['5 to 25', '''
pupils feel more positively about their local area'''],
    'discrim': ['1 to 2', 'fewer experiences of discrimination'],
    'belong_local': ['1 to 4', '''
greater feelings of belonging in the local area'''],
    'wealth': ['0 to 1', '''
pupils feel their family has similar wealth as their friends (as opposed to
feeling they are richer or poorer)'''],
    'future': ['3 to 12', '''
pupils feel more positively about future work, education and/or training
opportunities in their local area'''],
    'climate': ['1 to 4', '''
lower levels of worrying about the impact of climate change on their
future'''],
    'social': ['4 to 20', 'higher levels of perceived social support'],
    'bully': ['3 to 12', 'there to be less bullying']
}
